#%define        lxx74_cups_version 0.8.4.2
%define        bigver %(echo %version | cut -d. -f 1-2)
%define        relver %(echo %version | cut -d. -f 3)

Name:          foomatic-db
Version:       20150415
Release:       1mamba
Summary:       Printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source0:       http://www.openprinting.org/download/foomatic/foomatic-db-4.0-%{version}.tar.gz
URL:           http://www.openprinting.org/foomatic.html
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ghostscript-devel
BuildRequires: libcups-devel >= 1.1.20
%if "%{stage1}" != "1"
BuildRequires: foo2zjs >= 20150102
%endif
Requires:      hplip >= 0.9.7
Requires:      gutenprint
Requires:      foo2zjs
Requires:      libpoppler-tools
Requires:      splix
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files. It also contains manufacturer-supplied PPD files which got released under free software licenses.

%package nonfree
Summary:       Manufacturer-supplied PPD files released under non-free licenses
Group:	       System/Spooling

%description nonfree
Foomatic database extension consisting of manufacturer-supplied PPD files released under non-free licenses which restricts them in how they can get redistributed.

%package extras
Summary:       Extra driver files also provided by third party packages
Group:         System/Spooling

%description extras
The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files. It also contains manufacturer-supplied PPD files which got released under free software licenses.
This package contains extra driver files that also come from third party packages.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

> extra.files
> extra-exclude.files
rpm -ql foo2zjs | grep foomatic/db/source | \
while read line; do
   if [ -e %{buildroot}/$line ]; then
       echo "$line" >> extra.files
	   echo "%exclude $line" >> extra-exclude.files
   fi
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#%post
#if [ $1 -ge 1 ]; then
#   rm -f /var/cache/foomatic/*/*
#   if [ -d /var/cache/foomatic/compiled ]; then
#      foomatic-combo-xml -O >/var/cache/foomatic/compiled/overview.xml
#   fi
#fi
#:

%files -f extra-exclude.files
%defattr(-,root,root)
%{_datadir}/foomatic/db/oldprinterids
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/opt/*.xml
%{_datadir}/foomatic/db/source/PPD/*
%{_datadir}/foomatic/db/source/printer/*.xml
%{_datadir}/foomatic/xmlschema/*.xsd
%{_datadir}/cups/model/foomatic-db-ppds
%exclude %{_datadir}/foomatic/db/source/driver/gutenprint.xml

%files extras -f extra.files
%defattr(-,root,root)
%{_datadir}/foomatic/db/source/driver/gutenprint.xml

%changelog
* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 20150415-1mamba
- automatic update by autodist

* Sat Mar 07 2015 Automatic Build System <autodist@mambasoft.it> 20150214-1mamba
- automatic update by autodist

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20141029-2mamba
- exclude files provides by foo2zjs

* Sat Nov 01 2014 Automatic Build System <autodist@mambasoft.it> 20141029-1mamba
- automatic update by autodist

* Mon Oct 27 2014 Automatic Build System <autodist@mambasoft.it> 20141027-1mamba
- automatic update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 20141022-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 20141017-1mamba
- automatic update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 20141011-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 20140921-1mamba
- automatic update by autodist

* Sun Jul 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140727-1mamba
- update to 20140727

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20140617-1mamba
- update to 4.0.20140617

* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20140201-1mamba
- update to 4.0.20140201

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120929-2mamba
- move to extra package more files conflicting with recent foo2zjs

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120929-1mamba
- update to 4.0.20120929

* Wed Aug 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120808-1mamba
- update to 4.0.20120808

* Thu Feb 16 2012 Silvan CGentile Marco Bertolini,
in riferimento alla sua richiesta:

L'utente rose è stato creato. Il workgroup del server è MYGROUP. Dovrebbe essere comunque visibile e accessibile da windows anche se il workgroup è impostato come WORKGROUP. Eventualmente si può cambiare l'impostazione del workgroup del PC. Per la configurazione di windows spero riusciate da soli.

Per quanto riguarda la stampante da quello che ho verificato oggi la HP Officejet 4630 dovrebbe funzionare sul server arm perché non utilizza firmware e plugin proprietari, come riportato (e da cui posso solo assumere che il dato sia corretto) nella tabella della pagina in cui mi hai indicato:

Other Information:
Item    Description    Notes
Driver plug-in    None    See note8.
Requires firmware download    No    

Invece la stampante HP LaserJet 1018, che mi pare non ti interessi configurare, non può funzionare su arm con i driver ufficiali HP per gli stessi motivi di cui sopra:

Other Information:
Item    Description    Notes
Driver plug-in    Required    See note8.
Requires firmware download    Yes    

Quello che potevo verificare l'ho verificato e se dovessi comparla io la comprerei ritenendo il rischio di problemi basso. HP è un mio competitor, lavora per il proprio profitto a discapito delle soluzioni che fornisco io che si basano su software open source, pertanto non posso garantire che non abbiano nascosto delle insidie che si vedranno solo dopo aver messo mani sulla stampante. La responsabillità che mi assumo in caso di problemi è in misura pari al rapporto tra il mio fatturato e quello di HP.
Aggiungo che il supporto sul server arm cui mi riferisco riguarda la stampa, per altre funzioni come scanner e fax (se c'è) non lo so se si potranno remotizzare e nel caso occorrerà lavorarci ulteriormente.

Ciao.

Il team di supporto mambaSoft - Operatore silvan
--
mambaSoft di Calarco Silvan - Web: http://www.mambasoft.it/
Helpdesk: http://helpdesk.mambasoft.it - support@mambasoft.it
--

01/01/2015 19:00 - eyecare device solution ha scritto:
Ciao Silvan,
quando hai tempo, c'è da aggiungere l'utente "rose", (stessa password di liveuser), con una sua cartella privata "rose" allo stesso livello della cartella "marco".

Qui i dati del pc di rose windows 7:
Nome computer "Rose-PC"
Gruppo di lavoro: WORKGROUP

Stampante:
ho individuato, x l'acquisto, la "HP Officejet 4630 e All-in-one". Qui la danno come raccomandata e pienamente supportata: http://hplipopensource.com/hplip-web/models/officejet/officejet_4630_series.html#note6

Tu ci vedi dei problemi come stampante da condividere attraverso il server? Se dovrebbe essere ok, la compro e la collego, così quando hai tempo ti do l'accesso per queste ultime operazioni.

A presto e grazie
Marco

--
Email eyecare.ds@gmail.com

Phone +39 3920389511

EyeCare Device Solution is a consulting service for solutions in ‘Ophthalmic Instruments’ provided by Marco Bertolini


Le informazioni contenute in questo messaggio e nei relativi allegati hanno carattere strettamente confidenziale e sono da considerarsi ad uso esclusivo del destinatario. L'utilizzo non autorizzato e la diffusione dei contenuti sono proibiti. In caso di errato recapito, Vi preghiamo di darne notizia all'indirizzo sopra menzionato e di provvedere alla cancellazione del messaggio dal Vostro sistema.

______________________________
This e-mail is confidential and may well also be legally privileged. This message and its attachments are for the exclusive use of the addressee. Any unauthorised use or disclosure is prohibited. If you have received this e-mail in error, please immediately notify us and delete the message from your system.

______________________________alarco <silvan.calarco@mambasoft.it> 4.0.20120216-1mamba
- update to 4.0.20120216

* Fri Oct 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20110901-2mamba
- added requirement for splix (samsung/xerox/dell drivers)

* Thu Sep 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20110901-1mamba
- update to 4.0.20110901

* Sat Jan 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091205-2mamba
- exclude non ppd file  /usr/share/cups/model/foomatic-db-ppds/Kyocera/ReadMe.htm to fix a warning when enumerating printers

* Sat Dec 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091205-1mamba
- update to 4.0.20091205
- split from foomatic package

* Tue Dec 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091201-1mamba
- update to 4.0.20091201
- added requirement for libpoppler-tools

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090616-1mamba
- update to 4.0.20090616

* Thu May 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090514-1mamba
- update to 4.0.20090514

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-2mamba
- automatic rebuild by autodist

* Mon Jun 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-1mamba
- update to 3.0.20080608
- excluded gutenprint drivers definition files gutenprint.xml and gutenprint52.xml

* Thu Mar 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080327-1mamba
- update to 3.0.20080327

* Tue Mar 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080325-1mamba
- update to 3.0.20080325
- removed ppd from foomatic-filters-ppds

* Sun Oct 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20071012-2mamba
- update to 3.0.20071012
- epoch incremented because of major release download (3.1 is unstable)
- removed lx x74 driver (it is partially supported by foomatic)

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.20060319-1qilnx
- update to version 20060319 by autospec
- removed foomatic-db sources from target package
- specfile architectural changes (build under single foomatic dir)
- fixed lxx74 driver packaging
- change versioning to include big version of foomatic (and increment epoch)
- patch Generic Postscript driver name so it works in KDE

* Wed Feb 22 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060221-2qilnx
- add a patch to fix a perl error on DB.pm

* Tue Feb 21 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20060221-1qilnx
- update to version 20060221 by autospec

* Thu Jan 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060126-1qilnx
- update to version 20060126 by autospec
- fixed %pre script (ad exit 0 to the end)

* Thu Nov 24 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20051124-1qilnx
- update to version 20051124 by autospec

* Tue Aug 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050830-1qilnx
- update to version 20050830 by autospec

* Mon May 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050502-1qilnx
- new version build

* Tue Oct 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-2qilnx
- added missing symlinks in /usr/lib/cups/filters, ppr/lib, ppr/interfaces

* Mon Sep 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-1qilnx
- new drivers version build
- added lxx74 drivers for Lexmark printers

* Wed Aug 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040811-1qilnx
- new version build

* Fri May 21 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040521-1qilnx
- first build
